require_relative 'lib/res_os/version'

Gem::Specification.new do |spec|
  spec.name          = "res_os_ruby"
  spec.version       = ResOs::VERSION
  spec.authors       = ["Thomas"]
  spec.email         = ["thomas@craftacademy.se"]

  spec.summary       = %q{Ruby wrapper for ResOs API.}
  spec.description   = %q{ This will help you access the ResOs API as described on https://documenter.getpostman.com/view/3308304/SzzehLGp?version=latesthttps://documenter.getpostman.com/view/3308304/SzzehLGp?version=latest }
  spec.homepage      = "https://github.com/CraftAcademyLabs/res_os_ruby"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  # spec.metadata["allowed_push_host"] = "Set to 'http://mygemserver.com'"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/CraftAcademyLabs/res_os_ruby"
  spec.metadata["changelog_uri"] = "https://github.com/CraftAcademyLabs/res_os_ruby/CHANGELOG.md"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
end
